Commit f0bde7c5 authored by Russ Cox's avatar Russ Cox

fix nacl build

R=r
DELTA=23  (5 added, 0 deleted, 18 changed)
OCL=35510
CL=35518
parent 6084dcdd
...@@ -970,7 +970,7 @@ asmb(void) ...@@ -970,7 +970,7 @@ asmb(void)
eh->ident[EI_VERSION] = EV_CURRENT; eh->ident[EI_VERSION] = EV_CURRENT;
if(HEADTYPE == 8) { if(HEADTYPE == 8) {
eh->ident[EI_OSABI] = ELFOSABI_NACL; eh->ident[EI_OSABI] = ELFOSABI_NACL;
eh->ident[EI_ABIVERSION] = 5; eh->ident[EI_ABIVERSION] = 6;
eh->flags = 0x200000; // aligned mod 32 eh->flags = 0x200000; // aligned mod 32
} }
......
...@@ -21,21 +21,26 @@ chmod +x $GOBIN/quietgcc ...@@ -21,21 +21,26 @@ chmod +x $GOBIN/quietgcc
for i in lib9 libbio libmach libregexp cmd pkg libcgo cmd/cgo cmd/ebnflint cmd/godoc cmd/gofmt for i in lib9 libbio libmach libregexp cmd pkg libcgo cmd/cgo cmd/ebnflint cmd/godoc cmd/gofmt
do do
# The ( ) here are to preserve the current directory case "$i-$GOOS" in
# for the next round despite the cd $i below. libcgo-nacl)
# set -e does not apply to ( ) so we must explicitly ;;
# test the exit status. *)
( # The ( ) here are to preserve the current directory
echo; echo; echo %%%% making $i %%%%; echo # for the next round despite the cd $i below.
cd $i # set -e does not apply to ( ) so we must explicitly
case $i in # test the exit status.
cmd) (
bash make.bash echo; echo; echo %%%% making $i %%%%; echo
;; cd $i
*) case $i in
make install cmd)
esac bash make.bash
) || exit 1 ;;
*)
make install
esac
) || exit 1
esac
done done
case "`uname`" in case "`uname`" in
......
...@@ -19,7 +19,7 @@ export GOTRACEBACK=0 ...@@ -19,7 +19,7 @@ export GOTRACEBACK=0
failed=0 failed=0
PATH=/bin:/usr/bin:/usr/local/bin:${GOBIN:-$HOME/bin}:`pwd` export PATH=/bin:/usr/bin:/usr/local/bin:${GOBIN:-$HOME/bin}:$HOME/bin:$(pwd)
RUNFILE=/tmp/gorun-$$-$USER RUNFILE=/tmp/gorun-$$-$USER
TMP1FILE=/tmp/gotest1-$$-$USER TMP1FILE=/tmp/gotest1-$$-$USER
...@@ -60,7 +60,7 @@ done | # clean up some stack noise ...@@ -60,7 +60,7 @@ done | # clean up some stack noise
s/^pc: 0x[0-9a-f]*/pc: xxx/ s/^pc: 0x[0-9a-f]*/pc: xxx/
/^Trace\/breakpoint trap/d /^Trace\/breakpoint trap/d
/^Trace\/BPT trap/d /^Trace\/BPT trap/d
/RUNFILE/ s/line 1: *[0-9]*/line 1: PID/ /RUNFILE/ s/line 1: *[0-9][0-9]* /line 1: PID /
/^\$RUNFILE: line 1: PID Trace\/breakpoint trap/d /^\$RUNFILE: line 1: PID Trace\/breakpoint trap/d
/^qemu: uncaught target signal 11 (Segmentation fault) - exiting/d' > run.out /^qemu: uncaught target signal 11 (Segmentation fault) - exiting/d' > run.out
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment